[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'ComCtrls' (#lcl)

# TListItem.MakeVisible

Makes the item visible in the list view control which owns the list item.

## Declaration

Source position: comctrls.pp line 1066

`public procedure TListItem.MakeVisible(`
`PartialOK: Boolean`
`);`

## Arguments

`PartialOK` |  | True is the list item can be partially visible in the control.

## Description

MakeVisible is a method used to make the list item partially or fully visible in a list view control. MakeVisible checks for valid Owners in both the TListItems container and the TCustomListView control. When both are available, and the handle for the list view control has been allocated, the widgetset class is notified to display the list item.

When PartialOK is set to True, the list item does not have to become fully visible.

## See also

TListItem.Owner |  | Container that is the Owner of the list item.
TListItems.Owner |  | List view control that is the owner of the container and its list items.